# remirepo spec file for libjit
#
# Copyright (c) 2018 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global git_commit    825a982ce2239068574fd85ae0ffdebc4f40cd9f
%global git_short     %(c=%{git_commit}; echo ${c:0:7})
%global git_date      20180325
%global git_version   0.1.3

Name:          libjit
Version:       %{git_version}~git
Release:       1.%{git_date}.%{git_short}%{?dist}
Summary:       Just-In-Time compiler functionality

License:       LGPVv2+
URL:           https://www.gnu.org/software/libjit/
Source0:       %{name}-%{git_version}-%{git_short}.tar.xz
Source1:       makesrc.sh

BuildRequires: chrpath
BuildRequires: flex
BuildRequires: bison
BuildRequires: make
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: texinfo
%if 0%{?rhel} == 7
BuildRequires:  devtoolset-6-toolchain
%else
BuildRequires:  gcc
%endif


%description
LibJIT is a library that provides generic Just-In-Time compiler functionality
independent of any particular bytecode, language, or runtime. 

It started off as a part of the DotGNU project and was used as the backend for
DotGNU Portable.NET JIT engine. Since then it has been used in a number of
other projects not related to DotGNU and became a separate project on its own
right. 


%package devel
Summary:    Header files and development libraries for %{name}
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files and development libraries
for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.


%prep
%setup -q -n %{name}-%{git_commit}

%if 0%{?rhel} == 7
source /opt/rh/devtoolset-6/enable
g++ --version
%endif

./bootstrap


%build
%if 0%{?rhel} == 7
source /opt/rh/devtoolset-6/enable
%endif

%configure --enable-shared --disable-static
make %{?_smp_mflags}


%install
%if 0%{?rhel} == 7
source /opt/rh/devtoolset-6/enable
g++ --version
%endif

make install DESTDIR=%{buildroot}
chrpath --delete %{buildroot}%{_libdir}/*.so.0.0*
rm %{buildroot}%{_libdir}/*.la
rm %{buildroot}%{_infodir}/dir*


%check
make check


%if 0%{?fedora} < 28 && 0%{?rhel} < 8
%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%endif

%post devel
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun devel
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files
%{!?_licensedir:%global license %%doc}
%license COPYING*
%{_libdir}/%{name}*.so.*

%files devel
%doc NEWS README ChangeLog
%{_includedir}/jit/
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man3/%{name}.3*
%{_infodir}/%{name}.info*


%changelog
* Mon Apr 23 2018 Remi Collet <remi@remirepo.net> - 0.1.3~git-1.20180325.825a982
- initial package
