#!/bin/bash

NAME=$(basename $PWD)
VERSION=$(sed -n '/^%global git_version/{s/.* //;p}' $NAME.spec)
COMMIT=$(sed  -n '/^%global git_commit/{s/.* //;p}'  $NAME.spec)
SHORT=${COMMIT:0:7}

echo -e "\nCreate git snapshot\nName=$NAME, Version=$VERSION, Commit=$COMMIT\n"

echo "Cloning..."
rm -rf $NAME-$COMMIT
git clone https://git.savannah.gnu.org/git/$NAME.git $NAME-$COMMIT

echo "Getting commit..."
pushd $NAME-$COMMIT
git checkout $COMMIT
cp composer.json ../composer.json
popd

echo "Archiving..."
tar cJf $NAME-$VERSION-$SHORT.tar.xz --exclude .git $NAME-$COMMIT

echo "Cleaning..."
rm -rf ${NAME}-$COMMIT

echo "Done."
